Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zhegvd

scipy.linalg.lapack.zhegvd(a, b[, itype, jobz, uplo, lwork, lrwork, liwork, overwrite_a, overwrite_b]) = <fortran function zhegvd>

  Wrapper for `zhegvd`.

  Parameters:
    a input rank-2 array(‘D’) with bounds `(n,n)`
    b input rank-2 array(‘D’) with bounds `(n,n)`
  Returns:
    w rank-1 array(‘d’) with bounds `(n)`
    v rank-2 array(‘D’) with bounds `(n,n)` with `a` storage
    info int
  Other Parameters:
    itype input int, optional

      Default `1`

    jobz input bytes, optional

      Default `'V'`

    uplo input bytes, optional

      Default `'L'`

    overwrite_a input int, optional

      Default `0`

    overwrite_b input int, optional

      Default `0`

    lwork input int, optional

      Default `(jobz=='N'?n+1:n*(n+2))`

    lrwork input int, optional

      Default `max((jobz=='N'?n:2*n*n+5*n+1),1)`

    liwork input int, optional

      Default `(jobz=='N'?1:5*n+3)`